/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.spring.beans;

/**
 *
 * @author attila
 */
public class RestrictionBean {
    private boolean ableToSetSender;
    private boolean canImport;
    private boolean canSetPop3;
    private boolean canSendEmail;
    private boolean displaySettings;
    
    public RestrictionBean() {
        
    }
    
    public RestrictionBean(boolean ableToSetSender, boolean canImport, boolean canSetPop3, boolean canSendEmail) {
        this.ableToSetSender = ableToSetSender;
        this.canImport = canImport;
        this.canSetPop3 = canSetPop3;
        this.canSendEmail = canSendEmail;
    }

    public boolean isAbleToSetSender() {
        return ableToSetSender;
    }

    public void setAbleToSetSender(boolean ableToSetSender) {
        this.ableToSetSender = ableToSetSender;
    }

    public boolean isCanImport() {
        return canImport;
    }

    public void setCanImport(boolean canImport) {
        this.canImport = canImport;
    }

    public boolean isCanSetPop3() {
        return canSetPop3;
    }

    public void setCanSetPop3(boolean canSetPop3) {
        this.canSetPop3 = canSetPop3;
    }

    public boolean isCanSendEmail() {
        return canSendEmail;
    }

    public void setCanSendEmail(boolean canSendEmail) {
        this.canSendEmail = canSendEmail;
    }

    public boolean isDisplaySettings() {
        if (!canSetPop3 && !canImport) {
            return false;
        }
        else {
            return true;
        }
    }

    public void setDisplaySettings(boolean displaySettings) {
        this.displaySettings = displaySettings;
    }
}
